#language: ru

@ignore
@exportscenarios

Функционал: Библиотека. Создание НСИ

Сценарий: Я создаю сценарий планирования заявок на производство "ИмяСценария"

	Когда В командном интерфейсе я выбираю 'Планирование' 'Настройки планирования'
	Тогда я жду открытия окна 'Настройки планирования' в течение 20 секунд
	И я нажимаю на кнопку 'Сценарии планирования заявок на производство'
	Тогда я жду открытия окна 'Сценарии планирования заявок на производство' в течение 20 секунд
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда я жду открытия окна 'Сценарий планирования заявок на производство (создание)' в течение 20 секунд
	И в поле 'Наименование' я ввожу текст "ИмяСценария"
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Сценарий планирования заявок на производство (создание) *' в течение 20 секунд
	Тогда я жду открытия окна 'Сценарии планирования заявок на производство' в течение 20 секунд
	И Я закрываю окно 'Сценарии планирования заявок на производство'
	И Я закрываю окно 'Настройки планирования'

Сценарий: Я создаю приоритет планирования для номенклатуры "ИмяНоменклатуры" с характеристикой "ХарактеристикаНоменклатуры" и приоритетом "ПриоритетНоменклатуры"
	
	Когда я жду открытия окна 'Приоритеты планирования' в течение 20 секунд
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда я жду открытия окна 'Приоритеты планирования (создание)' в течение 20 секунд
	И из выпадающего списка "Номенклатура" я выбираю по строке 'ИмяНоменклатуры'
	И из выпадающего списка "Характеристика" я выбираю по строке 'ХарактеристикаНоменклатуры'
	И в поле 'Приоритет' я ввожу текст 'ПриоритетНоменклатуры'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Приоритеты планирования (создание) *' в течение 20 секунд

Сценарий: Я создаю приоритет планирования для номенклатуры "ИмяНоменклатуры" без характеристики
	
	Когда я жду открытия окна 'Приоритеты планирования' в течение 20 секунд
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда я жду открытия окна 'Приоритеты планирования (создание)' в течение 20 секунд
	И из выпадающего списка "Номенклатура" я выбираю по строке 'ИмяНоменклатуры'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Приоритеты планирования (создание) *' в течение 20 секунд

Сценарий: Я создаю параметры разруба для номенклатуры "ИмяНоменклатуры" без характеристики с подразделением выпуска "ПодразделениеВыпуска"
	Когда я жду открытия окна 'Параметры разруба' в течение 20 секунд
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда я жду открытия окна 'Параметры разруба (создание)' в течение 20 секунд
	И из выпадающего списка "Номенклатура" я выбираю по строке 'ИмяНоменклатуры'
	И из выпадающего списка "Подразделение выпуска по умолчанию" я выбираю по строке 'ПодразделениеВыпуска'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Параметры разруба (создание) *' в течение 20 секунд

Сценарий: Я создаю параметры разруба для номенклатуры "ИмяНоменклатуры" с характеристикой "ХарактеристикаНоменклатуры" с подразделением выпуска "ПодразделениеВыпуска"
	Когда я жду открытия окна 'Параметры разруба' в течение 20 секунд
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда я жду открытия окна 'Параметры разруба (создание)' в течение 20 секунд
	И из выпадающего списка "Номенклатура" я выбираю по строке 'ИмяНоменклатуры'
	И из выпадающего списка "Характеристика" я выбираю по строке 'ХарактеристикаНоменклатуры'
	И из выпадающего списка "Подразделение выпуска по умолчанию" я выбираю по строке 'ПодразделениеВыпуска'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Параметры разруба (создание) *' в течение 20 секунд

Сценарий: Я открываю форму списка схем обеспечения

	Дано В командном интерфейсе я выбираю 'Планирование' 'Настройки планирования'
	Тогда я жду открытия окна 'Настройки планирования' в течение 20 секунд
	И я нажимаю на кнопку 'Справочник схем обеспечения'
	Тогда я жду открытия окна 'Схемы обеспечения' в течение 20 секунд

Сценарий: Я открываю форму Назначения схем обеспечения

	Дано В командном интерфейсе я выбираю 'Планирование' 'Настройки планирования'
	Тогда я жду открытия окна 'Настройки планирования' в течение 20 секунд
	И я нажимаю на кнопку 'Назначение схем обеспечения'
	Тогда я жду открытия окна 'Назначение схем обеспечения' в течение 20 секунд

Сценарий: Я создаю волну "пИмяВолны" длительностью "пДлительность" с "пВремяНачала" по "пВремяОкончания"

	Дано В командном интерфейсе я выбираю 'Планирование' 'Настройки планирования'
	Тогда открылось окно 'Настройки планирования'
	И я нажимаю на кнопку с именем 'Справочникк2ВолныОткрытьСписок'
	Тогда открылось окно 'Волны'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Волна (создание)'
	И в поле с именем 'Наименование' я ввожу текст "пИмяВолны"
	И в поле с именем 'Продолжительность' я ввожу текст "пДлительность"
	И в поле с именем 'ВремяНачала' я ввожу текст "пВремяНачала"
	И в поле с именем 'ВремяОкончания' я ввожу текст "пВремяОкончания"
	И я устанавливаю флаг с именем 'ЭтоВолнаОтгрузки'
	И я устанавливаю флаг с именем 'ЭтоВолнаПроизводства'
	И я нажимаю на кнопку с именем 'ФормаЗаписатьИЗакрыть'
	И я жду закрытия окна 'Волна (создание) *' в течение 20 секунд
	Тогда открылось окно 'Волны'
	И Я закрываю окно 'Волны'
	Тогда открылось окно 'Настройки планирования'
	И Я закрываю окно 'Настройки планирования'

Сценарий: Я создаю в поле "пИмяПоля" вариант начала на "пДатаНачала"

	И я нажимаю на кнопку создать поля "пИмяПоля"
	Когда открылось окно 'Вариант начала периода (создание)'
	И в поле 'Наименование' я ввожу текст "пДатаНачала"
	И я нажимаю кнопку выбора у поля "Дата начала"
	И в поле 'Дата начала' я ввожу текст "пДатаНачала"
	И я перехожу к следующему реквизиту
	И из выпадающего списка "На начало" я выбираю точное значение 'Дня'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Вариант начала периода (создание) *' в течение 20 секунд

Сценарий: Я создаю Группы партнеров для планирования "ИмяГруппы" с каналом сбыта "КаналСбыта" с менеджером "ИмяМенеджера"

	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Группы партнеров для планирования'
	Тогда я жду открытия окна 'Группы партнеров для планирования' в течение 20 секунд
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда я жду открытия окна 'Группы партнеров для планирования (создание)' в течение 20 секунд
	И в поле 'Наименование' я ввожу текст "ИмяГруппы"
	И из выпадающего списка "Канал сбыта" я выбираю по строке "КаналСбыта"
	И из выпадающего списка "Основной менеджер" я выбираю по строке "ИмяМенеджера"
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Группы партнеров для планирования (создание) *' в течение 20 секунд
	Тогда я жду открытия окна 'Группы партнеров для планирования' в течение 20 секунд
	И Я закрываю окно 'Группы партнеров для планирования'